#ifndef __DATABASE_H__
#define __DATABASE_H__

#include "Record.h"

class CDatabase
{
	CEGUID m_guid;
	CEOID m_oid;
	HANDLE m_hDB;

private:
	bool MountVol();
	bool OpenDB();
	bool CreateDB();

public:
	CDatabase();
	~CDatabase();
	bool ReadRecord(CRecord &record);
	bool AddRecord(CRecord record);
	bool SeekDB(DWORD dwSeekType, DWORD dwValue = 0);
	bool DeleteRecord(int nIndex);

};

extern CDatabase g_DB;

#endif